#
# spec file for package gkrellm (Version 2.1.5)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gtk2-devel-packages imlib imlib-devel
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils bzip2 cracklib expat freetype2 freetype2-devel gcc gdbm gettext glib2 glib2-devel gtk2 gtk2-devel imlib imlib-devel libtool pango pango-devel perl pkgconfig rpm

Name:         gkrellm
License:      GPL
Group:        System/Monitoring
Requires:     imlib, gtk2 >= 2.0, glib2 >= 2.0, pango, atk
Autoreqprov:  on
Version:      2.1.5
Release:      93
Url:          www.muhri.net/gkrellm/
Summary:      Manages multiple stacked monitors
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-%{version}-makefile.patch
Patch1:       %{name}-%{version}-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
With a single process, GKrellM manages multiple stacked monitors and
supports applying themes to match the monitors appearance to your
window manager, Gtk, or any other theme.

* SMP CPU, Disk, Proc, and active net interface monitors with LEDs.

* Internet monitor that displays current and charts historical port
   hits.

* Memory and swap space usage meters and a system uptime monitor.

* File system meters show capacity/free space and can mount/umount.

* A mailbox monitor which can launch mail reader, remote mail fetch.

* Clock/calendar and hostname display.

* APM laptop battery monitor.

* CPU/motherboard temperature display if lm_sensors modules
   installed.

* Multiple monitors managed by a single process to reduce system
   load.

* PPP on/off button that can execute your PPP scripts.

* Charts are autoscaling with configurable grid line resolution.

* Separate colors for "in" and "out" data.  The in color is used for
   CPU user time, disk read, forks, and net receive data.  The out
   color is used for CPU sys time, disk write, load, and net
   transmit data.

* A different theme can be created with the GIMP.



%prep
%setup -n %{name}-%{version}
%patch0
%patch1

%build
make "CFLAGS=$RPM_OPT_FLAGS" SMC_LIBS="-L/usr/X11R6/%_lib -lSM -lICE"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include
make install \
     SMC_LIBS="-L/usr/X11R6/%_lib -lSM -lICE" \
     INSTALLDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
     MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
     INCLUDEDIR=$RPM_BUILD_ROOT/usr/X11R6/include \
     LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT Changelog README Themes.html
/usr/X11R6/bin/*
%doc /usr/X11R6/man/man1/*
/usr/X11R6/include/gkrellm2
%{_datadir}/locale/*/*/*

%changelog -n gkrellm
* Mon Sep 08 2003 - ltinkl@suse.cz
- fix for #29628 (buffer overflow in gkrellmd)
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages in neededforbuild
- fix a lib64 issue
* Sat Jan 11 2003 - tcrhak@suse.cz
- update to version 2.1.5
* Wed Jul 03 2002 - tcrhak@suse.cz
- update to version 1.2.13
* Fri Mar 15 2002 - tcrhak@suse.cz
- added /usr/X11R6/include/%%{name} to filelist
* Thu Dec 20 2001 - tcrhak@suse.cz
- update to version 1.2.6
* Tue Aug 07 2001 - adostal@suse.cz
- update to version 1.2.1
- fixed spec file  and makefile
* Thu Feb 15 2001 - egger@suse.de
- Updated to version 1.0.6.
* Thu Jan 11 2001 - ro@suse.de
- fixed doc list
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 - egger@suse.de
- Updated to version 1.0.0.
* Fri Jun 09 2000 - dipa@suse.de
- update to package 0.9.10
* Sat Oct 30 1999 - ray@suse.de
- nwe packages 0.7.1
